Summary:        Runtime module handling
Name:           perl-Module-Runtime
Version:        0.016
Release:        7%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/dist/Module-Runtime
Source0:        https://cpan.metacpan.org/authors/id/Z/ZE/ZEFRAM/Module-Runtime-%{version}.tar.gz

BuildRequires:  make coreutils perl-generators perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.6 perl(ExtUtils::MakeMaker) >= 6.76
# Tests:
BuildRequires:  perl(Math::BigInt) perl(warnings)
BuildRequires:  perl(strict) perl(Test::More) >= 0.41

BuildArch:      noarch

%description
The functions exported by this module deal with runtime handling of 
Perl modules, which are normally handled at compile time. This module 
avoids using any other modules, so that it can be used in low-level 
infrastructure.


%prep
%autosetup  -n Module-Runtime-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build


%install
%make_install
%{_fixperms} -c %{buildroot}


%check
make test


%files
%doc README Changes
%{perl_vendorlib}/Module/
%{_mandir}/man3/*.3pm.gz


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.016-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.016-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.016-5
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.016-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.016-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.016-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Aug  1 2022 doriscchao <doriscchao@tencent.com> - 0.016-1
- initial build, Version 0.016, Release 1

